%define	version 1.3.9.20110826
%define	release %mkrel 1

Name:      ibus-table-extraphrase
Summary:   Chinese extra phrases for ibus-table based IME
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:    ibus-table-extraphrase-0.1.2.20090102-noarch.patch
BuildRequires: python-devel
BuildRequires: ibus-table-devel >= 1.2.0
Provides:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0

%description
This package provide Chinese extra phrases for ibus-table based IME,
such as ibus-table-zhengma, ibus-table-wubi, ibus-table-cangjie5,
ibus-table-erbi and etc.

This package will also provide a script, called ibus-table-extraphrase,
to print the path of extra_phrase.txt.bz2, which can be used when using
ibus-table-createdb to generate IME database.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/data/extra_phrase.txt
%{_datadir}/pkgconfig/*.pc




%changelog

* Sat Sep 03 2011 fwang <fwang> 1.3.9.20110826-1.mga2
+ Revision: 138112
- new version 1.3.9.20110826

* Thu Mar 24 2011 boklm <boklm> 1.2.0.20100305-4.mga1
+ Revision: 76157
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 1.2.0.20100305-3.mga1
+ Revision: 73632
- imported package ibus-table-extraphrase

